summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas K. Hüttel <dilfridge@gentoo.org>2017-02-20 23:00:34 +0100
committerAndreas K. Hüttel <dilfridge@gentoo.org>2017-02-20 23:00:50 +0100
commit967aa067e65cd5620f13aa5c34b591672491e5f2 (patch)
tree68f2e454faccfef135ec952aa9f37715bdba5a48 /net-print/poster
parentdev-php/PEAR-PEAR: Remove dead channel from pkg_postinst (diff)
downloadgentoo-967aa067e65cd5620f13aa5c34b591672491e5f2.tar.gz
gentoo-967aa067e65cd5620f13aa5c34b591672491e5f2.tar.bz2
gentoo-967aa067e65cd5620f13aa5c34b591672491e5f2.zip
net-print/poster: Add fix for bug 580610 by Dmitry Olyenyov
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'net-print/poster')
-rw-r--r--net-print/poster/files/poster-20060221-fix_cutmarks.patch15
-rw-r--r--net-print/poster/poster-20060221-r3.ebuild32
2 files changed, 47 insertions, 0 deletions
diff --git a/net-print/poster/files/poster-20060221-fix_cutmarks.patch b/net-print/poster/files/poster-20060221-fix_cutmarks.patch
new file mode 100644
index 00000000000..0ae10f3bdfc
--- /dev/null
+++ b/net-print/poster/files/poster-20060221-fix_cutmarks.patch
@@ -0,0 +1,15 @@
+https://bugs.gentoo.org/show_bug.cgi?id=580610
+
+Index: poster-20060221/poster.c
+===================================================================
+--- poster-20060221.orig/poster.c
++++ poster-20060221/poster.c
+@@ -113,7 +113,7 @@ char *whitemarginspec = NULL;
+ char *scalespec = NULL;
+ char *filespec = NULL;
+ char *pagespec = NULL;
+-char *clipfacil = "0xFF";
++char *clipfacil = "255";
+ char *overlap = "6";
+
+ /* media sizes in ps units (1/72 inch) */
diff --git a/net-print/poster/poster-20060221-r3.ebuild b/net-print/poster/poster-20060221-r3.ebuild
new file mode 100644
index 00000000000..922da413fa2
--- /dev/null
+++ b/net-print/poster/poster-20060221-r3.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit toolchain-funcs
+
+DESCRIPTION="Small utility for making a poster from an EPS file or a one-page PS document"
+SRC_URI="mirror://kde/printing/${P}.tar.bz2"
+HOMEPAGE="https://printing.kde.org/downloads"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+PATCHES=(
+ "${FILESDIR}/${P}-fix_gs_crash.patch"
+ "${FILESDIR}/${P}-fix_duplicate_DocumentMedia.patch"
+ "${FILESDIR}/${P}-fix_cutmarks.patch"
+)
+
+src_compile(){
+ $(tc-getCC) ${CFLAGS} ${LDFLAGS} ${PN}.c -lm -o ${PN} || die
+}
+
+src_install() {
+ dobin ${PN}
+ doman ${PN}.1
+ dodoc README ChangeLog
+}